Summary: A set of GNU text file modifying utilities.
Name: textutils
Version: 2.0.14
Release: 3
Epoch: 1
License: GPL
Group: Applications/Text
Source: ftp://alpha.gnu.org/gnu/fetish/textutils-%{version}.tar.bz2
Patch0: textutils-2.0.13-mem.patch
Patch1: textutils-2.0.14-ll.patch
Requires(post,preun): /sbin/install-info
BuildPrereq: libtool
Buildroot: /var/tmp/%{name}-root

%description
A set of GNU utilities for modifying the contents of files, including
programs for splitting, joining, comparing, and modifying files.

%prep
%setup -q
%patch0 -p1 -b .mem
%patch1 -p1 -b .ll

%build

unset LINGUAS || :
%define optflags -g
%configure
make

%install
rm -rf ${RPM_BUILD_ROOT}

%makeinstall

%ifos linux
    mkdir -p $RPM_BUILD_ROOT/bin
    for f in cat sort cut; do
	mv $RPM_BUILD_ROOT/usr/bin/$f $RPM_BUILD_ROOT/bin/$f
    done
    ln -sf ../../bin/cut $RPM_BUILD_ROOT/usr/bin
%endif

gzip -9nf $RPM_BUILD_ROOT/%{_infodir}/textutils*


%post
/sbin/install-info %{_infodir}/textutils.info.gz %{_infodir}/dir

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete %{_infodir}/textutils.info.gz %{_infodir}/dir
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc NEWS README
%ifos linux
/bin/*
%endif
/usr/bin/*
%{_mandir}/*/*
%{_infodir}/textutils*
%lang(cs) /usr/share/locale/cs/*/*
%lang(da) /usr/share/locale/da/*/*
%lang(de) /usr/share/locale/de/*/*
%lang(el) /usr/share/locale/el/*/*
%lang(es) /usr/share/locale/es/*/*
%lang(fr) /usr/share/locale/fr/*/*
%lang(gl) /usr/share/locale/gl/*/*
%lang(ja) /usr/share/locale/ja/*/*
%lang(ko) /usr/share/locale/ko/*/*
%lang(nl) /usr/share/locale/nl/*/*
%lang(no) /usr/share/locale/no/*/*
%lang(pl) /usr/share/locale/pl/*/*
%lang(pt_BR) /usr/share/locale/pt_BR/*/*
%lang(ru) /usr/share/locale/ru/*/*
%lang(sk) /usr/share/locale/sk/*/*
%lang(sl) /usr/share/locale/sl/*/*
%lang(sv) /usr/share/locale/sv/*/*
%lang(zh) /usr/share/locale/zh/*/*

%changelog
* Mon Oct  7 2002 Tim Waugh <twaugh@redhat.com> 2.0.14-3
- Fix od 'long long' issues.  Patch from textutils mailing list.

* Tue Aug 14 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.0.14-2
- Add Epoch (#51702)
- s/Copyright/License/

* Fri May  4 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.0.14-1
- 2.0.14
- Symlink /bin/cut to /usr/bin/cut to restore compatibility with some
  broken scripts (#36719)

* Sun Apr 15 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0.13

* Sun Apr  8 2001 Matt Wilson <msw@redhat.com>
- added another patch to the textutils-2.0.11-mem.patch to avoid using
  insane amounts of ram on big memory systems

* Tue Feb 20 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- make a new security patch

* Tue Feb  6 2001 Tim Waugh <twaugh@redhat.com>
- Only use about 1/3 of the memory that sysconf(_SC_AVPHYS_PAGES)
  says we can.  Patch from H.J.Lu. (Bug #25895)

* Mon Jan 29 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix security bug (predictable temp file names, #25229)

* Sun Jan  7 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Mark locale related files as such.

* Sun Jan  7 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0.11 (Fixes support for long filenames, #18105)
- Move cut to /bin (#23529)

* Wed Oct 11 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0g (fixes a number of problems and finally tells the user that
  sort is locale-aware rather than buggy)

* Wed Aug 30 2000 Matt Wilson <msw@redhat.com>
- rebuild to cope with glibc locale binary incompatibility, again

* Wed Jul 19 2000 Jakub Jelinek <jakub@redhat.com>
- rebuild to cope with glibc locale binary incompatibility

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun 22 2000 Trond Eivind Glomsrd <teg@redhat.com>
- minor cleanup for errata release
- lose %%{_prefix}
- don't include the broken patches

* Mon Jun 19 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- FHSify

* Wed May  3 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- BuildPreqeq: libtool (Bug #11106)

* Mon Apr 24 2000 Trond Eivind Glomsrd <teg@redhat.com>
- disabled patches, to make "-n" work. This may cause some problems
  due to glibc sorting weirdness which Cristian is fixing seperately.

* Sun Apr  9 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- 2.0e

* Mon Jan  7 2000 Jakub Jelinek <jakub@redhat.com>
- Revert comm and join to old behaviour (binary sorting).
  Add new switch "-l" to both. If sort -l is used to generate
  input, comm -l/join -l should be used on that, otherwise
  -l should not be specified.

* Wed Jan  5 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- 2.0a
- Revert sort to old behavior (binary sorting).
  Add new switch "-l" to handle locales (the way 2.0 did)
  (Bugs #7020, #7828, #8021, #8125)
- unset LINGUAS before running configure
- fix a bug in the spec file (it's rm -rf, not rm -f)

* Tue Aug 10 1999 Jeff Johnson <jbj@redhat.com>
- upgrade to 2.0.
- fix tsort conflicts (by eliminating tsort from util-linux).

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 9)

* Wed Dec 30 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat Apr 11 1998 Cristian Gafton <gafton@redhat.com>
- manhattan rebuild

* Fri Mar 06 1998 Michael K. Johnson <johnsonm@redhat.com>
- made tmpfile creation safe (even for root) in sort and tac.

* Thu Oct 23 1997 Erik Troan <ewt@redhat.com>
- added patch for glibc 2.1

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>
- added BuildRoot
- added install-info support

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- Rebuilt against glibc
